//------------------------------------------------------------------------------
// <auto-generated>
//     Этот код создан по шаблону.
//
//     Изменения, вносимые в этот файл вручную, могут привести к непредвиденной работе приложения.
//     Изменения, вносимые в этот файл вручную, будут перезаписаны при повторном создании кода.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ParticipationInOlympiads
{
    using System;
    using System.Collections.Generic;
    
    public partial class OlympiadTable
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public OlympiadTable()
        {
            this.OlympiadByAgeTables = new HashSet<OlympiadByAgeTable>();
        }
    
        public int OlympiadId { get; set; }
        public string OlympiadName { get; set; }
        public int SubjectId { get; set; }
        public string Description { get; set; }
        public bool Team { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<OlympiadByAgeTable> OlympiadByAgeTables { get; set; }
        public virtual SubjectTable SubjectTable { get; set; }
    }
}
